package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCOPE_DIRECTORY"
)
public class TCoreScopeDirectory extends TBaseEntity {
   private String directory_id;
   private String scope_id;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date create_date;

   public String getDirectory_id() {
      return this.directory_id;
   }

   public void setDirectory_id(String directory_id) {
      this.directory_id = directory_id;
   }

   public String getScope_id() {
      return this.scope_id;
   }

   public void setScope_id(String scope_id) {
      this.scope_id = scope_id;
   }

   public Date getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(Date create_date) {
      this.create_date = create_date;
   }
}
